Require sandbox disabling for tier-3 audio backends

NEW
Unassigned

Status

()

Core
Audio/Video: cubeb
P4
normal
10 months ago
6 months ago

People

(Reporter: kentuckyfriedtakahe, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Update configure scripts so that ALSA, JACK and other tier-3 backends require --disable-content-sandbox as appropriate to make them work.
OS: Unspecified → Linux
Currently, ALSA is probably (I haven't tried it) working for direct hardware access (and maybe also dmix?) via bug 1309098 which allows opening the audio devices (ifdef'ed).  That part of ALSA seems likely to continue working under sandboxing for a while.  But the ALSA framework supports plugins, which may or may not work – especially the ones that are adapters to other sound systems.

JACK I know much less about, but once PulseAudio leaves the content process we're finally going to start restricting networking/sockets access (and miscellaneous other things we've had to allow to keep PA working), and that seems likely to impact other sound servers.
See Also: → bug 1375863
Mass change P3->P4 to align with new Mozilla triage process.
Priority: P3 → P4
You need to log in before you can comment on or make changes to this bug.